<div class="gateway-sensor">
  <section class="sensor-info container-fluid">
    <div class="row">
      <div class="col-xs-6">

        <i class="icon-sensor secual-icon secual-icon-extra-large centered" ng-class="{'secual-danger-color': gSensor.sensor.btr < 25 }"></i>
      </div>
      <div class="col-xs-6 sensor-status">
        <div class="gds-bluetooth-status">
       <span ng-if="gSensor.sensor.bleS>=50 && gSensor.sensor.bleS<=100" class="centered-sub-title-text">
         <i class="secual-icon icon-signal-strong"></i>
           {{gSensor.SIGNAL_STRONG}}
          </span>
       <span ng-if="gSensor.sensor.bleS<50" class="centered-sub-title-text">
            <i class="secual-icon icon-signal-weak"></i>
             {{gSensor.SIGNAL_WEAK}}
           </span>
        </div>
        <div class="gds-battery-status">
          <span ng-if="gSensor.sensor.btr < 25" class="centered-sub-title-text"><i class="secual-icon icon-battery-empty"></i> {{gSensor.Battery}} {{gSensor.sensor.btr}}%</span>
          <span ng-if="gSensor.sensor.btr >= 25 && sensor.battery < 50" class="centered-sub-title-text"><i class="fa fa-battery-quarter"></i> {{gSensor.Battery}} {{gSensor.sensor.btr}}%</span>
          <span ng-if="gSensor.sensor.btr >= 50 && sensor.battery < 75" class="centered-sub-title-text"><i class="fa fa-battery-half"></i> {{gSensor.Battery}} {{gSensor.sensor.btr}}%</span>
          <span ng-if="gSensor.sensor.btr >= 75 && sensor.battery < 99" class="centered-sub-title-text"><i class="fa fa-battery-three-quarters"></i> {{gSensor.Battery}} {{gSensor.sensor.btr}}%</span>
          <span ng-if="gSensor.sensor.btr == 100" class="centered-sub-title-text"><i class="secual-icon icon-battery-full"></i> {{gSensor.Battery}} {{gSensor.sensor.btr}}%</span>
        </div>
      </div>
    </div>
  </section>

  <h4 class="group-header">{{gSensor.SENSOR}}</h4>
  <section>
    <md-list>
      <md-list-item>
        <!--<img class="icon" src="assets/images/imgNone.png">-->
        <i class="secual-icon icon-sensor secual-primary-color secual-icon-space-right"></i>
        <div class="title">
          <span ng-if="!gSensor.editSensorName" class="label-editable">{{gSensor.sensor.name}}</span>
          <input type="text" ng-model="gSensor.sensor.name" class="editable" ng-if="gSensor.editSensorName">
        </div>
        <span class="accessory-icon gd-edit-btn secual-primary-color" ng-click="gSensor.editSensorName = true" ng-if="!gSensor.editSensorName">
          <i class="secual-icon icon-edit secual-sub-dark-color"></i>
        </span>
        <span class="accessory-icon gd-edit-btn secual-primary-color" ng-click="gSensor.save(); gSensor.editSensorName = false" ng-if="gSensor.editSensorName">
          <span class="icon-check secual-sub-dark-color"></span>
        </span>
        <span class="accessory-icon gd-edit-btn secual-primary-color" ng-click="gSensor.editSensorName = false" ng-if="gSensor.editSensorName">
          <span class="icon-close secual-sub-dark-color"></span>
        </span>
       <!-- <md-divider></md-divider>-->
      </md-list-item>
      <md-list-item ng-click="gSensor.goTo('gateways.sensor-move', {'gid': gSensor.gatewayid,'sid' : gSensor.sensor.id})">
        <i class="secual-icon icon-sensor secual-primary-color secual-icon-space-right"></i>
        <div class="">
        <span class="label-editable">Move sensor to another GW</span>

        </div>
        </md-list-item>
      <!-- this is list item for moving sensor to another gateway. temporary commented because there is no page yet
      <md-list-item>
        <i class="secual-icon icon-sensor secual-primary-color secual-icon-space-right"></i>
        <span class="title gd-name">{{gSensor.move_the_sensor_to_another_gateway}}</span>
        <a href=""><span class="secual-icon icon-arrow-right secual-sub-dark-color"></span></a>
      </md-list-item>
    -->
    </md-list>
  </section>

  <h4 class="group-header">{{gSensor.SENSITIVITY_SETTING}}</h4>
  <section>
    <md-list>
      <md-list-item>
        <label>{{gSensor.SENSITIVITY}}</label>
        <div class="slider">
          <i class="secual-icon icon-sensitivity-low"></i>
          <md-slider md-no-ink min="0" max="1" step="0.1" ng-model="gSensor.sensor.sensitivity" ng-change="gSensor.save()"></md-slider>
          <i class="secual-icon icon-sensitivity-high"></i>
        </div>
       <!-- <md-divider></md-divider>-->
      </md-list-item>
      <!--
      <md-list-item>
        <label>{{GatewaysSensorController.FREQUENCY}}:</label>
        <div class="slider">
          <div class="icon-small"><i class="fa fa-sun-o"></i></div>
          <md-slider md-no-ink min="0" max="100" ng-model="gSensor.sensor.frequency" ng-change="gSensor.save()"></md-slider>
          <div class="icon-big"><i class="fa fa-sun-o"></i></div>
        </div>
        <md-divider></md-divider>
      </md-list-item>-->
    </md-list>
  </section>
  <!--<p class="secual-explanation-text">{{gSensor.explanation_text_sensor}}</p>-->
</div>
